Frame

- Main Page
- Related Pages
- Data Structures
- Files
- Examples

Functions
Frame

Frame is a widget that holds some content and has a title. More...

## Functions
EOAPI void | elm_obj_frame_collapse_set (Eina_Bool collapse)
| Manually collapse a frame without animations Use this to toggle the collapsed state of a frame, bypassing animations. More...
EOAPI Eina_Bool | elm_obj_frame_collapse_get (void)
| Determine the collapse state of a frame. More...
EOAPI void | elm_obj_frame_autocollapse_set (Eina_Bool autocollapse)
| Toggle autocollapsing of a frame When `enable` is EINA_TRUE, clicking a frame's label will collapse the frame vertically, shrinking it to the height of the label. More...
EOAPI Eina_Bool | elm_obj_frame_autocollapse_get (void)
| Determine autocollapsing of a frame. More...
EOAPI void | elm_obj_frame_collapse_go (Eina_Bool collapse)
| Manually collapse a frame with animations Use this to toggle the collapsed state of a frame, triggering animations. More...
void | elm_frame_collapse_set (Elm_Frame *obj, Eina_Bool collapse)
| Manually collapse a frame without animations Use this to toggle the collapsed state of a frame, bypassing animations. More...
Eina_Bool | elm_frame_collapse_get (const Elm_Frame *obj)
| Determine the collapse state of a frame. More...
void | elm_frame_autocollapse_set (Elm_Frame *obj, Eina_Bool autocollapse)
| Toggle autocollapsing of a frame When `enable` is EINA_TRUE, clicking a frame's label will collapse the frame vertically, shrinking it to the height of the label. More...
Eina_Bool | elm_frame_autocollapse_get (const Elm_Frame *obj)
| Determine autocollapsing of a frame. More...
void | elm_frame_collapse_go (Elm_Frame *obj, Eina_Bool collapse)
| Manually collapse a frame with animations Use this to toggle the collapsed state of a frame, triggering animations. More...
Evas_Object * | elm_frame_add (Evas_Object *parent)
| Add a new frame to the parent. More...

## Detailed Description

Frame is a widget that holds some content and has a title.

The default look is a frame with a title, but Frame supports multiple styles:

- default
- pad_small
- pad_medium
- pad_large
- pad_huge
- outdent_top
- outdent_bottom

Of all this styles only default shows the title.

This widget inherits from the Layout one, so that all the functions acting on it also work for frame objects.

This widget emits the following signals, besides the ones sent from Layout:

- `"clicked"` - The user has clicked the frame's label
- `"language,changed"` - the program's language changed (since 1.9)

Default content parts of the frame widget that you can use for are:

- "default" - A content of the frame

Default text parts of the frame widget that you can use for are:

- "default" - A label of the frame

Supported elm_object common APIs.

- elm_object_part_text_set
- elm_object_part_text_get
- elm_object_part_content_set
- elm_object_part_content_get
- elm_object_part_content_unset

For a detailed example see the Frame example.

## Function Documentation

Evas_Object* elm_frame_add | ( | Evas_Object * | parent | ) |

Add a new frame to the parent.

Parameters

  parent | The parent object

Returns
  The new object or NULL if it cannot be created

Eina_Bool elm_frame_autocollapse_get | ( | const Elm_Frame * | obj | ) |

Determine autocollapsing of a frame.

Returns
  Whether autocollapse is enabled

When this returns EINA_TRUE, clicking a frame's label will collapse the frame vertically, shrinking it to the height of the label. By default, this is DISABLED.

References elm_obj_frame_autocollapse_get().

void elm_frame_autocollapse_set | ( | Elm_Frame * | obj,
|  | Eina_Bool | autocollapse
| ) |  |

Toggle autocollapsing of a frame When `enable` is EINA_TRUE, clicking a frame's label will collapse the frame vertically, shrinking it to the height of the label.

By default, this is DISABLED.

Parameters

  [in] | autocollapse | Whether to enable autocollapse

References elm_obj_frame_autocollapse_set().

Eina_Bool elm_frame_collapse_get | ( | const Elm_Frame * | obj | ) |

Determine the collapse state of a frame.

Returns
  true if collapsed, false otherwise

Use this to determine the collapse state of a frame.

References elm_obj_frame_collapse_get().

void elm_frame_collapse_go | ( | Elm_Frame * | obj,
|  | Eina_Bool | collapse
| ) |  |

Manually collapse a frame with animations Use this to toggle the collapsed state of a frame, triggering animations.

Parameters

  [in] | collapse | true to collapse, false to expand

References elm_obj_frame_collapse_go().

void elm_frame_collapse_set | ( | Elm_Frame * | obj,
|  | Eina_Bool | collapse
| ) |  |

Manually collapse a frame without animations Use this to toggle the collapsed state of a frame, bypassing animations.

Parameters

  [in] | collapse | true to collapse, false to expand

References elm_obj_frame_collapse_set().

EOAPI Eina_Bool elm_obj_frame_autocollapse_get | ( | void |  | ) |

Determine autocollapsing of a frame.

Returns
  Whether autocollapse is enabled

When this returns EINA_TRUE, clicking a frame's label will collapse the frame vertically, shrinking it to the height of the label. By default, this is DISABLED.

Referenced by elm_frame_autocollapse_get().

EOAPI void elm_obj_frame_autocollapse_set | ( | Eina_Bool | autocollapse | ) |

Toggle autocollapsing of a frame When `enable` is EINA_TRUE, clicking a frame's label will collapse the frame vertically, shrinking it to the height of the label.

By default, this is DISABLED.

Parameters

  [in] | autocollapse | Whether to enable autocollapse

Referenced by elm_frame_autocollapse_set().

EOAPI Eina_Bool elm_obj_frame_collapse_get | ( | void |  | ) |

Determine the collapse state of a frame.

Returns
  true if collapsed, false otherwise

Use this to determine the collapse state of a frame.

Referenced by elm_frame_collapse_get().

EOAPI void elm_obj_frame_collapse_go | ( | Eina_Bool | collapse | ) |

Manually collapse a frame with animations Use this to toggle the collapsed state of a frame, triggering animations.

Parameters

  [in] | collapse | true to collapse, false to expand

Referenced by elm_frame_collapse_go().

EOAPI void elm_obj_frame_collapse_set | ( | Eina_Bool | collapse | ) |

Manually collapse a frame without animations Use this to toggle the collapsed state of a frame, bypassing animations.

Parameters

  [in] | collapse | true to collapse, false to expand

Referenced by elm_frame_collapse_set().